%define installprefix %{_datadir}
%define g2datadir /srv/gallery2
%define g2confdir %{_sysconfdir}/gallery2

Summary: Customizable photo gallery web site
URL: http://gallery.menalto.com
Name: gallery2
Version: 2.3.2
Group: Applications/Publishing
Release: 19%{?dist}
License: GPLv2+
#Source0: http://dl.sf.net/gallery/gallery-%{version}-full.zip
# Tarball from upstream contains prebuilt jars, some of which are not redistributable.
# Generated from gallery-2.3-full.zip
# unzip gallery-2.3-full.zip
# find . -name '*.jar' | xargs rm -f
# tar -czf gallery-2.3-jarless.tar.gz gallery2/
Source0: gallery-2.3.2-jarless.tar.gz
Source1: gallery2-httpd-conf
Source2: gallery2-htaccess
Source3: README.fedora.Gallery2
Source4: gallery2-2.3-module-cleanup.README
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl-generators
Requires: php >= 4.3.0, httpd, gallery2-classic, gallery2-matrix, gallery2-display, php-Smarty2, gallery2-httpauth
Requires: php-pear-Mail-Mime
BuildArch: noarch
# Subversion needed to generate manifest
#BuildRequires: perl-String-CRC32, subversion
#BuildRequires: java-1.6.0-openjdk-devel
Obsoletes: gallery2-panorama <= 2.3-4
Obsoletes: gallery2-remote <= 2.3-7
Obsoletes: gallery2-uploadapplet <= 2.3-7
Obsoletes: gallery2-slideshowapplet <= 2.3-7

#Patch0: gallery2-perl-location.patch
#Patch1: gallery2-2.3-smtp.patch
Patch2: gallery2-2.3-captcha.patch
Patch3: gallery2-2.3-installer.patch
Patch4: gallery2-2.3-upgrade.patch
Patch5: gallery2-2.3.1-jpegtran.patch
# Fix PHP7 compatibility
Patch6: gallery2-php7-errors.patch
# Fix miscellaneous warnings to prevent huge logs, RHBZ#1214128
Patch7: gallery2-php-warnings.patch

%package albumselect
Summary: Albumselect module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package archiveupload
Summary: Archiveupload module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package captcha
Summary: Captcha module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package cart
Summary: Cart module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package colorpack
Summary: Colorpack module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package comment
Summary: Comment module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package customfield
Summary: Customfield module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package dcraw
Summary: Dcraw module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}, dcraw

%package debug
Summary: Debug module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package digibug
Summary: Digibug module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package dynamicalbum
Summary: Dynamicalbum module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package ecard
Summary: Ecard module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package exif
Summary: Exif module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package ffmpeg
Summary: Ffmpeg module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package flashvideo
Summary: Flashvideo module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package fotokasten
Summary: Fotokasten module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package gd
Summary: Gd module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}, gd >= 2.0, php-gd
Provides: gallery2-graphics

%package getid3
Summary: Getid3 module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package hidden
Summary: Hidden module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package httpauth
Summary: Httpauth module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Requires: gallery2-rewrite = %{version}-%{release}

%package icons
Summary: Icons module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package imageblock
Summary: Imageblock module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package imageframe
Summary: Imageframe module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package imagemagick
Summary: Imagemagick module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}, ImageMagick >= 4.0
Provides: gallery2-graphics

%package jpegtran
Summary: JPEG manipulation module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}, /usr/bin/jpegtran

%package itemadd
Summary: Itemadd module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package keyalbum
Summary: Keyalbum module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package linkitem
Summary: Linkitem module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package members
Summary: Members module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package migrate
Summary: Migrate module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package mime
Summary: Mime module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package mp3audio
Summary: MP3 audio module for Gallery2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package multilang
Summary: Multilang module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package multiroot
Summary: Multiroot module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package netpbm
Summary: Netpbm module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}, netpbm >= 9.0
Provides: gallery2-graphics

%package newitems
Summary: Newitems module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package nokiaupload
Summary: Nokiaupload module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package notification
Summary: Notification module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package password
Summary: Password module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package permalinks
Summary: Permalinks module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package photoaccess
Summary: Photoaccess module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package picasa
Summary: Picasa module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package publishxp
Summary: Publishxp module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package quotas
Summary: Quotas module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package rating
Summary: Rating module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package randomhighlight
Summary: Randomhighlight module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package rearrange
Summary: Rearrange module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package register
Summary: Register module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

#%package remote
#Summary: Remote module for Gallery 2
#Group: Applications/Publishing
#Requires: gallery2 = %{version}-%{release}

%package replica
Summary: Replica module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package reupload
Summary: Reupload module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package rewrite
Summary: Rewrite module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package rss
Summary: RSS module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package search
Summary: Search module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package shutterfly
Summary: Shutterfly module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package sitemap
Summary: Sitemap module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package sizelimit
Summary: Sizelimit module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package slideshow
Summary: Slideshow module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

#%package slideshowapplet
#Summary: Slideshowapplet module for Gallery 2
#Group: Applications/Publishing
#Requires: gallery2 = %{version}-%{release}

%package squarethumb
Summary: Squarethumb module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package snapgalaxy
Summary: Snapgalaxy module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package thumbnail
Summary: Thumbnail module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package thumbpage
Summary: Thumbpage module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

#%package uploadapplet
#Summary: Uploadapplet module for Gallery 2
#Group: Applications/Publishing
#Requires: gallery2 = %{version}-%{release}

%package useralbum
Summary: Useralbum module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package watermark
Summary: Watermark module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package webcam
Summary: Webcam module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package webdav
Summary: Webdav module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package zipcart
Summary: Zipcart module for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}

%package ajaxian
Summary: Ajaxian theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%package carbon
Summary: Carbon theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%package classic
Summary: Classic theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%package floatrix
Summary: Floatrix theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%package hybrid
Summary: Hybrid theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%package matrix
Summary: Matrix theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%package siriux
Summary: Siriux theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%package slider
Summary: Slider theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%package tile
Summary: Tile theme for Gallery 2
Group: Applications/Publishing
Requires: gallery2 = %{version}-%{release}
Provides: gallery2-display

%description
The base Gallery 2 installation - the equivalent of upstream's -minimal 
package.  This package requires a database to be operational.  Acceptable
database backends include MySQL v 3.x, MySQL v 4.x, PostgreSQL v 7.x,
PostgreSQL v 8.x, Oracle 9i, Oracle 10g, DB2, and MS SQL Server.  All given 
package versions are minimums, greater package versions are acceptable.

%description albumselect
Gallery 2 module - Jump directly to any album using a select box or tree view

%description archiveupload
Gallery 2 module - Extract items from uploaded zip files

%description captcha
Gallery 2 module - Prevents abuse by deterring automated bots with input 
that requires visual comprehension

%description cart
Gallery 2 module - Shopping Cart Module

%description colorpack
Gallery 2 module - Select different color palettes for themes

%description comment
Gallery 2 module - User commenting system

%description customfield
Gallery 2 module - Create custom data fields for Gallery items

%description dcraw
Gallery 2 module - Graphics toolkit for processing images in raw format 

%description debug
Gallery 2 module - Debugging and Developer Tools

%description digibug
Gallery 2 module - Digibug module for Gallery2

%description dynamicalbum
Gallery 2 module - Dynamic album support

%description ecard
Gallery 2 module - Support for e-card albums

%description exif
Gallery 2 module - Extract EXIF/IPTC data from JPEG photos 

%description ffmpeg
Gallery 2 module - A toolkit for processing movies 

%description flashvideo
Gallery 2 module - Support for Flash videos

%description fotokasten
Gallery 2 module - fotokasten - CVS only

%description gd
Gallery 2 module - Gd Graphics Toolkit

%description getid3
Gallery 2 module - getid3 - CVS only

%description hidden
Gallery 2 module - hidden - CVS only

%description httpauth
Gallery 2 module - HTTP authentication

%description icons
Gallery 2 module - Display icons for links 

%description imageblock
Gallery 2 module - Random, Most Recent or Most Viewed Photo or Album

%description imageframe
Gallery 2 module - Render frames around images

%description imagemagick
Gallery 2 module - ImageMagick / GraphicsMagick Graphics Toolkit

%description jpegtran
Gallery 2 module - JPEG manipulation

%description itemadd
Gallery 2 module - Item addition

%description keyalbum
Gallery 2 module - Key albums

%description linkitem
Gallery 2 module - CVS only

%description members
Gallery 2 module - Members List and Profiles

%description migrate
Gallery 2 module - Migrate your Gallery 1 albums to Gallery 2 

%description mime
Gallery 2 module - Maintain MIME types and file extensions 

%description mp3audio
Gallery 2 module - Support for MP3 audio files

%description multilang
Gallery 2 module - Support item captions in multiple languages

%description multiroot
Gallery 2 module - Support for multiroot galleries

%description netpbm
Gallery 2 module - NetPBM Graphics Toolkit

%description newitems
Gallery 2 module - Highlight new/updated Gallery items

%description nokiaupload
Gallery 2 module - Implementation of Nokia Image Upload Server API v1.1 

%description notification
Gallery 2 module - Email notification

%description password
Gallery 2 module - password - CVS only

%description permalinks
Gallery 2 module - permalinks - CVS only

%description picasa
Gallery 2 module - picasa - CVS only

%description photoaccess
Gallery 2 module - PhotoAccess Photo Printing Module

%description publishxp
Gallery 2 module - Implementation for direct publishing from XP

%description quotas
Gallery 2 module - User/Group Disk Quotas

%description randomhighlight
Gallery 2 module - Periodically change the album highlight

%description rating
Gallery 2 module - rating - CVS only

%description rearrange
Gallery 2 module - Rearrange the order of album items all at once 

%description register
Gallery 2 module - New User Registration

#%description remote
#Gallery 2 module - Implementation for the remote control protocol

%description replica
Gallery 2 module - Replication support

%description reupload
Gallery 2 module - reupload - CVS only

%description rewrite
Gallery 2 module - Enables short URLs using mod_rewrite.

%description rss
Gallery 2 module - rss - CVS only

%description search
Gallery 2 module - Search your Gallery

%description shutterfly
Gallery 2 module - Shutterfly Photo Printing Module

%description sitemap
Gallery 2 module - sitemap - CVS only

%description sizelimit
Gallery 2 module - Define picture size limit

%description slideshow
Gallery 2 module - Slideshow 

#%description slideshowapplet
#Gallery 2 module - Fullscreen slideshow using a Java applet

%description snapgalaxy
Gallery 2 module - Print photos using SnapGalaxy

%description squarethumb
Gallery 2 module - Build all thumbnails so they are square

%description thumbnail
Gallery 2 module - Set default thumbnails for non-image items

%description thumbpage
Gallery 2 module - Select page/frame from a multipage file or movie 
for the thumbnail

#%description uploadapplet
#Gallery 2 module - Easy to use upload applet for media

%description useralbum
Gallery 2 module - Create an album for each new user

%description watermark
Gallery 2 module - Watermark your images

%description webcam
Gallery 2 module - Support periodically updated images like a webcam

%description webdav
Gallery 2 module - Support for the WebDAV protocol

%description zipcart
Gallery 2 module - Download cart items in a zip file

%description ajaxian
Gallery 2 theme - Ajaxian theme for Gallery 2

%description carbon
Gallery 2 theme - Carbon theme for Gallery 2

%description classic
Gallery 2 theme - Classic Gallery2 root album look and fee

%description floatrix
Gallery 2 theme - Floatrix - CVS only

%description hybrid
Gallery 2 theme - Combined album/image/slideshow dynamic view

%description matrix
Gallery 2 theme - Standard Gallery2 look and feel

%description siriux
Gallery 2 theme - Siriux.net Gallery theme

%description slider
Gallery 2 theme - Image viewer/slideshow; subalbums/other items not shown

%description tile
Gallery 2 theme - Tile view of background image and image thumbnails; 
subalbums/other items not shown

%prep
%setup -q -n gallery2
#%patch0 -p1
#%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p1

%build
#pushd lib/tools/bin
#perl makeManifest.pl
#popd
rm -rf `cat MANIFEST | grep -e "^R" | cut -f 2`
find . -depth -name .svn -type d -exec rm -rf {} \;
# Remove the execute bit from files that don't start with #!
for file in `find -type f -perm /111`; do
  if head -1 $file | egrep -v '^\#!' &>/dev/null; then
    chmod a-x $file
  fi
done
# We evidently didn't catch one, so...
chmod 755 lib/tools/po/header.pl
#These modules need unredistributable jars, so we'll remove the files.
rm -rf modules/panorama
rm -rf modules/remote
rm -rf modules/uploadapplet
rm -rf modules/slideshowapplet

#Drop precompiled flash
find . -type f -name '*.swf' | xargs rm -f

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{installprefix}/gallery2
install -m 0644 -D -p %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d/gallery2.conf
install -m 0644 -p %{SOURCE2} ${RPM_BUILD_ROOT}%{installprefix}/gallery2/.htaccess
#remove bundled Smarty.
rm -rf lib/smarty
cp -pr * ${RPM_BUILD_ROOT}%{installprefix}/gallery2
install -m 0644 -p %{SOURCE3} ${RPM_BUILD_ROOT}%{installprefix}/gallery2/README.fedora
install -m 0644 -p %{SOURCE4} ${RPM_BUILD_ROOT}%{installprefix}/gallery2/gallery2-2.3-module-cleanup.README
chmod 755 ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/tools/po/premerge-messages.pl
chmod 755 ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/tools/po/update-all-translations.pl
#chmod 755 ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/tools/bin/getIllegalFunctions.pl
#chmod 755 ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/tools/uml/make-java-classes.pl
mkdir -p ${RPM_BUILD_ROOT}%{g2confdir}
# Touch a login.txt in /srv/gallery2/ and ghost it so we don't
# run afoul of a ro /usr
touch ${RPM_BUILD_ROOT}%{g2confdir}/login.txt
ln -s ../../..%{g2confdir}/login.txt ${RPM_BUILD_ROOT}%{installprefix}/gallery2/login.txt
echo "<?php /* This file intentionally empty - it is populated during Gallery's setup / configuration process*/ " > ${RPM_BUILD_ROOT}%{g2confdir}/config.php
echo "\$gallery->setConfig('data.gallery.base', '%{g2datadir}/');" >> ${RPM_BUILD_ROOT}%{g2confdir}/config.php
echo "?>" >> ${RPM_BUILD_ROOT}%{g2confdir}/config.php
ln -s ../../..%{g2confdir}/config.php ${RPM_BUILD_ROOT}%{installprefix}/gallery2/config.php
chmod 644 ${RPM_BUILD_ROOT}%{g2confdir}/config.php
ln -s ../../php/Smarty2 ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/smarty

#remove bundled php-pear-Mail-Mime
rm ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/pear/mime.php
rm ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/pear/mimePart.php
ln -s ../../../pear/Mail/mime.php ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/pear/mime.php
ln -s ../../../pear/Mail/mimePart.php ${RPM_BUILD_ROOT}%{installprefix}/gallery2/lib/pear/mimePart.php

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
if [[ -f %{installprefix}/gallery2/config.php.rpmnew ]]
then
	echo Your old configuration file \(config.php\) has not been replaced.
	echo Please move it to /etc/gallery2/config.php and rename the
	echo config.php.rpmnew symlink to config.php.
fi
if [[ -f %{installprefix}/gallery2/config.php.rpmsave ]]
then
	echo Please ensure your /etc/gallery2/config.php file has the correct
	echo contents, and the %{installprefix}/gallery2/config.php symlink is
	echo pointed to it.
fi
echo If this is an upgrade from a previously installed version of Gallery2,
echo please be sure to point a web browser at http://\<hostname\>/gallery2/upgrade/
echo and follow the instructions there to complete the upgrade process.

if [ -L %{installprefix}/gallery2/lib/smarty ]; then
  rm -f %{installprefix}/gallery2/lib/smarty
fi
if [ -d %{installprefix}/gallery2/lib/smarty -a ! -L %{installprefix}/gallery2/lib/smarty ]; then
    mv %{installprefix}/gallery2/lib/smarty %{installprefix}/gallery2/lib/smarty.rpmbak && \
    ln -s ../../php/Smarty2 %{installprefix}/gallery2/lib/smarty && \
    rm -rf %{installprefix}/gallery2/lib/smarty.rpmbak
fi 
if [ ! -L %{installprefix}/gallery2/lib/smarty ]; then
  ln -s ../../php/Smarty2 %{installprefix}/gallery2/lib/smarty
fi




%files
%defattr(-,root,root,-)
%{installprefix}/gallery2/bootstrap.inc
%{installprefix}/gallery2/embed.php
%config(noreplace) %{installprefix}/gallery2/config.php
%{installprefix}/gallery2/images/
%{installprefix}/gallery2/index.php
%{installprefix}/gallery2/init.inc
%{installprefix}/gallery2/install/
%{installprefix}/gallery2/lib/
%{installprefix}/gallery2/login.txt
%{installprefix}/gallery2/main.php
%dir %{installprefix}/gallery2
%dir %{installprefix}/gallery2/modules
%{installprefix}/gallery2/modules/core/
%dir %{installprefix}/gallery2/themes
%{installprefix}/gallery2/locale/
%{installprefix}/gallery2/upgrade/
%license %{installprefix}/gallery2/LICENSE
%doc %{installprefix}/gallery2/MANIFEST
%doc %{installprefix}/gallery2/README.html
%doc %{installprefix}/gallery2/README.fedora
%doc %{installprefix}/gallery2/gallery2-2.3-module-cleanup.README
%attr(-,apache,root) %config(noreplace) %{g2confdir}/config.php
%config(noreplace) %{installprefix}/gallery2/.htaccess
%dir %{g2confdir}
%config(noreplace) %{g2confdir}/login.txt
%config(noreplace) %{_sysconfdir}/httpd/conf.d/gallery2.conf
%ghost %{installprefix}/gallery2/lib/smarty

%files albumselect
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/albumselect/

%files archiveupload
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/archiveupload/

%files captcha
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/captcha/

%files cart
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/cart/

%files colorpack
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/colorpack/

%files comment
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/comment/

%files customfield
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/customfield/

%files dcraw
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/dcraw/

%files debug
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/debug/

%files digibug
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/digibug/

%files dynamicalbum
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/dynamicalbum/

%files ecard
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/ecard/

%files exif
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/exif/

%files ffmpeg
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/ffmpeg/

%files flashvideo
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/flashvideo/

%files fotokasten
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/fotokasten/

%files gd
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/gd/

%files getid3
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/getid3/

%files hidden
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/hidden/

%files httpauth
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/httpauth/

%files icons
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/icons/

%files imageblock
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/imageblock/

%files imageframe
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/imageframe/

%files imagemagick
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/imagemagick/

%files jpegtran
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/jpegtran/

%files linkitem
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/linkitem/

%files itemadd
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/itemadd/

%files keyalbum
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/keyalbum/

%files members
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/members/

%files migrate
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/migrate/

%files mime
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/mime/

%files mp3audio
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/mp3audio/

%files multilang
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/multilang/

%files multiroot
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/multiroot/

%files netpbm
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/netpbm/

%files newitems
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/newitems/

%files nokiaupload
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/nokiaupload/

%files notification
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/notification/

%files password
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/password/

%files permalinks
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/permalinks/

%files photoaccess
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/photoaccess/

%files picasa
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/picasa/

%files publishxp
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/publishxp/

%files quotas
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/quotas/

%files randomhighlight
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/randomhighlight/

%files rating
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/rating/

%files rearrange
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/rearrange/

%files register
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/register/

#%files remote
#%defattr(-,root,root,-)
#%{installprefix}/gallery2/modules/remote/

%files replica
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/replica/

%files reupload
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/reupload/

%files rewrite
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/rewrite/

%files rss
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/rss/

%files search
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/search/

%files shutterfly
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/shutterfly/

%files sitemap
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/sitemap/

%files sizelimit
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/sizelimit/

%files slideshow
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/slideshow/

#%files slideshowapplet
#%defattr(-,root,root,-)
#%{installprefix}/gallery2/modules/slideshowapplet/

%files snapgalaxy
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/snapgalaxy/

%files squarethumb
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/squarethumb/

%files thumbnail
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/thumbnail/

%files thumbpage
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/thumbpage/

#%files uploadapplet
#%defattr(-,root,root,-)
#%{installprefix}/gallery2/modules/uploadapplet/

%files useralbum
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/useralbum/

%files watermark
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/watermark/

%files webcam
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/webcam/

%files webdav
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/webdav/

%files zipcart
%defattr(-,root,root,-)
%{installprefix}/gallery2/modules/zipcart/

%files ajaxian
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/ajaxian/

%files carbon
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/carbon/

%files classic
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/classic/

%files floatrix
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/floatrix/

%files hybrid
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/hybrid/

%files matrix
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/matrix/

%files siriux
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/siriux/

%files slider
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/slider/

%files tile
%defattr(-,root,root,-)
%{installprefix}/gallery2/themes/tile/

%changelog
* Fri Sep 08 2017 Michael Cronenworth <mike@cchtml.com> - 2.3.2-19
- Fix PHP warning patch (RHBZ#1487741)

* Thu Sep 07 2017 Gwyn Ciesla <limburgher@gmail.com> - 2.3.2-18
- Correct httpd.conf, BZ 1487741.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 26 2017 Michael Cronenworth <mike@cchtml.com> - 2.3.2-16
- Additional fixes for PHP warnings

* Tue Feb 21 2017 Michael Cronenworth <mike@cchtml.com> - 2.3.2-15
- PHP7 compatibility
- Fix some PHP warnings and notices (RHBZ#1214128)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 16 2013 Jon Ciesla <limburgher@gmail.com> - 2.3.2-10
- Drop precompiled flash.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 2.3.2-8
- Perl 5.18 rebuild

* Thu Feb 21 2013 Jon Ciesla <limburgher@gmail.com> - 2.3.2-7
- Migrate to php-Smarty2, BZ 911976.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 27 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.2-5
- CAPTCHA fixes, BZ 878320, BZ 880006.

* Wed Oct 10 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.2-4
- Fix for huge log files, BZ 863429.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr 12 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.2-2
- Dropped Java BR, no longer needed.

* Thu Apr 12 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.2-1
- Latest upstream, minor security fixes,
- BZ 812048, 812049, 812050.

* Fri Feb 03 2012 Jon Ciesla <limburgher@gmail.com> - 2.3.1-6
- Unbundle php-pear-Mail-Mime, BZ 501867.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Jon Ciesla <limburgher@gmail.com> - 2.3.1-4
- Patch for jpegtran output, BZ 712558.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 02 2010 Adam Tkac <atkac redhat com> - 2.3.1-2
- jpegtran subpkg: require /usr/bin/jpegtran instead of libjpeg to be compatible
  with both libjpeg and libjpeg-turbo

* Thu Dec 17 2009 Jon Ciesla <limb@jcomserv.net> - 2.3.1-1
- 2.3.1, fix for upgrader in PHP 5.3.x.
- smtp patch upstreamed.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-14
- Upgrader patch, BZ 506983.
- Removed extra slash from installer patch.

* Fri Jun 19 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-13
- Installer patch, BZ 506983.

* Wed May 27 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-12
- Added gallery2-2.3-module-cleanup.README.

* Thu May 21 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-11
- Patch to fix SMTP, 501868.
- Patch to fix captcha, 501871.

* Thu May 14 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-10
- Fine-tuning of symlink script.

* Fri May 01 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-9
- Add rewrite dep for httpauth, BZ 498061.
- Adopt rdieter's symlink handling suggestions from rel-eng #1674.

* Tue Apr 28 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-8
- pretrans script logic fix. BZ498019.

* Thu Apr 16 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-7
- Drop all jars and remote, uploadapplet and slideshowapplet modules
- to satisfy legal requirements, as source build would be
- highly laborious and functionality is not critical.
- See BZ464566 for details.

* Mon Apr 13 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-6
- Document jar source origins, build jars in build, not prep.

* Fri Apr 10 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-5
- Remove .jar files and build from source BZ464566.
- Modify source to remove two non-redistutable .jar files.
- Dropped panorama module as a result.
- Fix symlink/dir issues, BZ 484240.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Jon Ciesla <limb@jcomserv.net> - 2.3-3
- Base requires gallery2-httpauth for upgrade path, BZ 483523.

* Thu Dec 18 2008 Jon Ciesla <limb@jcomserv.net> - 2.3-2
- Correct removal of bundled Smarty and usage of system Smarty.

* Thu Dec 04 2008 Jon Ciesla <limb@jcomserv.net> - 2.3-1
- Update to new upstream.
- Rebased on tarball now that perl path issue is fixed.
- Added buildroot wipe to start of install.
- Escaped macros in changelog.

* Wed Jun 18 2008 John Berninger <john at ncphotography dot com> - 2.2.5-1
- update to upstream 2.2.5 for security vuln fixes

* Tue Apr 22 2008 John Berninger <john at ncphotography dot com> - 2.2.4-4
- don't create or own any dirs in /srv

* Thu Mar 20 2008 John Berninger <john at ncphotography dot com> - 2.2.4-3
- revert to SVN snapshot so that config-time integrity checks don't fail
- remove embedded copy of smarty and use php-Smarty package

* Sat Dec 29 2007 John Berninger <john at ncphotography dot com) - 2.2.4-2
- BZ 279961 - allow FileInfo

* Mon Dec 24 2007 Lubomir Kundrak <lkundrak@redhat.com> 2.2.4-1
- A christmas present -- critical security update to 2.2.4

* Fri Aug 31 2007 John Berninger <john at ncphotography dot com> - 2.2-0.7.svn20070831
- update to 2.2.3 SVN snapshot to fix security vuln's - bz 267421

* Tue Jun  5 2007 John Berninger <johnw at berningeronline dot net> - 2.2-0.6.svn20070506
- Fix escaping syntax problem in post scriptlet

* Tue May 15 2007 John Berninger <johnw at berningeronline dot net> - 2.2-0.5.svn20070506
- README file update and new build

* Sun May 13 2007 John Benringer <johnw at berningeronline dot net> - 2.2-0.4.svn20070506
- Correct shell syntax in post scriptlet

* Wed May  9 2007 John Berninger <johnw at berningeronline dot net> - 2.2-0.3.svn20070506
- Mark the config.php symlink as a config file so that the config.php from 2.1
  installs doesn't get overwritten.  Yes, I did a Bad Thing.

* Mon May  7 2007 John Berninger <johnw at berningeronline dot net> - 2.2-0.2.svn20070506
- Requires PHP 4.3.0, not 4.1.0
- Add statement of support for DB2, MS SQL server
- Don't hardcode /srv/gallery2 in install section, use the g2datadir variable
- Up PHP memory chunk to 24M
- Known issue - downloading modules and themes from within Gallery will not
  work with G2 being in /usr/share - esp if /usr is read-only.  Would need
  exception to Fedora packaging guidelines to enable this feature

* Sun May  6 2007 John Berninger <johnw at berningeronline dot net> - 2.2-0.1.svn20070506
- Switch to upstream ver 2.2 base
- Add digibug, dynamicalbum, ecard, flashvideo, httpauth, itemadd, keyalbum, mp3audio, multiroot, replica, webdav modules
- Add ajaxian, carbon themes
- Refactor login.txt and config.php references, update readme for same

* Thu Aug 17 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.24.svn20060817
- Update to HEAD snapshot for 2.1.2 releases which fixes security vulnerabilities upstream

* Wed Aug  2 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.23.svn20060524
- Fix /usr/share/gallery2/.htaccess permissions - bz # 200793

* Thu Jun  8 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.22.svn20060524
- Fix problem with config.php getting put into /usr/share/gallery2 - move it
  to /srv/gallery2 to avoid issues with a ro /usr partition

* Tue Jun  6 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.21.svn20060524
- login.txt in /srv/gallery2, patch install/steps/AuthenticateStep.class to
  look there for it to avoid ugly errors that we shouldn't see.

* Tue Jun  6 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.20.svn20060524
- Move login.txt to /etc/gallery2 with a symlink to deal with potentially ro
  /usr

* Mon Jun  5 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.19.svn20060524
- Correct permissions on script to 755

* Sat Jun  3 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.18.svn20060524
- Removed g2datadir patch, I think it was this patch causing the multisite
  installation errors
- Changes installation dir from /var/www/gallery2 to /usr/share/gallery2 per
  updated packaging guidelines
- Added README.fedora giving a brief explanation of how to set up databases

* Thu May 25 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.17.svn20060524
- Removed find_lang stuff since it only looks in /usr/share

* Thu May 25 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.16.svn20060524
- Trying to use %%find_lang but builds fail.  Uploading for review / assistance
- Switch name to svn (vs cvs)
- Various corrections

* Wed May 24 2006 John Berninger <johnw at berningeronline dot net> - 2.1-0.14.cvs20060524
- Switch to subversion BRANCH_2_1 branch, add BuildReq for subversion to
  generate manifest.

* Wed Mar 22 2006 John Berninger <johnw at berningeronline dot net> - 2.0-0.13.cvs20060303
- Clean up rpmlint errors reported by D Gregorovic

* Tue Mar 14 2006 John Berninger <johnw at berningeronline dot net> - 2.0-0.12.cvs20060303
- Removed gallery2 httpd conf file and htaccess file from tarball, added as 
  separate source files

* Fri Mar  3 2006 John Berninger <johnw at berningeronline dot net> - 2.0-0.11.cvs20060303
- Update of CVS snapshot to remove potential vulnerabilities in released
  versions < 2.0.3
- Removed upstream point release number from release tag since we're on the
  2.0 trunk, not a 2.0.2 or 2.0.3 branch.

* Wed Mar  1 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-0.10cvs20060223
- Change install directory to /var/www/gallery2 versus /var/www/html/gallery2
- Add an alias for the gallery2.conf file that goes into httpd/conf.d

* Sun Feb 26 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-0.9cvs20060223
- Remove %%post, requesting modifications to selinux-policy to handle security
  contexts - BZ 183140

* Fri Feb 24 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-0.8cvs20060223
- Add a %%post to check for the existence of /usr/bin/chcon, which signifies the
  presence of SELinux, and if it is found, change the security context of
  /srv/gallery2 appropriately.

* Thu Feb 23 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-0.7cvs20060223
- Change to CVS tarball.
- gallery2-gd requires php-gd
- Added %%build section to regen the MANIFEST file.
- Added several CVS-only modules
- Added /etc/httpd/conf.d/gallery2.conf config file
- Added php memory limit override directive to .htaccess

* Thu Feb 23 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-7
- Change "<=" to ">=" in several requires fields due to typos.
- Modify perl source files in gallery2/lib/tools/ to look for /usr/bin/perl
  as opposed to /usr/local/bin/perl

* Mon Feb 20 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-6
- break out the individual modules and themes, realigning provides and requires
- use the -developer upstream tarball - no sense in having 50 different
  specfiles and SRPMS  when all we really need is subpackages.

* Sun Feb 19 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-5
- -docs package only contains two files, a fact which I missed earlier, so
  there doesn't seem to be much sense in splitting it.  Remerged.

* Sun Feb 19 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-4
- Split off documentation into a -docs package, modify payload listing,
  remove "listed twice" error, change %%ghost %%config into pure %%ghost.
- Release bump to -4

* Sun Feb 19 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-3
- Touched ghost config files to repackaging actually works this time.

* Sun Feb 19 2006 John Berninger <johnw at berningeronline dot net> - 2.0.2-2
- Added ghost config files - these are created during initial setup, they are
  not part of the tarball's payload.
- Removed relocatability
- Added '-q' to %%setup line
- Changed name to 'gallery2' (versus 'gallery')

* Tue Feb 14 2006 John Berninger <johnw at berningeronline dot net>
- Version 2.0.2, release 1
- Initial spec creation/build for Fedora Extras packaging.

